Package com.google.android.exoplayer2.transformer

## Class TransformationResult

- java.lang.Object
- - com.google.android.exoplayer2.transformer.TransformationResult

-     public final class TransformationResult
      extends Object

  Information about the result of a successful transformation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TransformationResult.Builder` | A builder for `TransformationResult` instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `averageAudioBitrate` | The average bitrate of the audio track data, or `C.RATE_UNSET_INT` if unset or unknown.
    `int` | `averageVideoBitrate` | The average bitrate of the video track data, or `C.RATE_UNSET_INT` if unset or unknown.
    `long` | `durationMs` | The duration of the file in milliseconds, or `C.TIME_UNSET` if unset or unknown.
    `long` | `fileSizeBytes` | The size of the file in bytes, or `C.LENGTH_UNSET` if unset or unknown.
    `int` | `videoFrameCount` | The number of video frames.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TransformationResult.Builder` | `buildUpon()` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### durationMs

          public final long durationMs

      The duration of the file in milliseconds, or `C.TIME_UNSET` if unset or unknown.

    - #### fileSizeBytes

          public final long fileSizeBytes

      The size of the file in bytes, or `C.LENGTH_UNSET` if unset or unknown.

    - #### averageAudioBitrate

          public final int averageAudioBitrate

      The average bitrate of the audio track data, or `C.RATE_UNSET_INT` if unset or unknown.

    - #### averageVideoBitrate

          public final int averageVideoBitrate

      The average bitrate of the video track data, or `C.RATE_UNSET_INT` if unset or unknown.

    - #### videoFrameCount

          public final int videoFrameCount

      The number of video frames.

  - ### Method Detail

    - #### buildUpon

          public TransformationResult.Builder buildUpon()

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`